## grib-api 1.26.1

=== CMakeLists.txt ===
############################################################################################
# cmake options:
#
#       -DCMAKE_BUILD_TYPE=Debug|RelWithDebInfo|Release|Production
#       -DCMAKE_INSTALL_PREFIX=/path/to/install
#
#       -DCMAKE_MODULE_PATH=/path/to/ecbuild/cmake

cmake_minimum_required( VERSION 2.8.11 FATAL_ERROR )

project( grib_api C )

set( CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/../ecbuild/cmake")

include( ecbuild_system NO_POLICY_SCOPE )

ecbuild_requires_macro_version( 1.9 )

###############################################################################
# local project

ecbuild_declare_project()

###############################################################################
# some variables/options of this project

ecbuild_add_option( FEATURE EXAMPLES
    DESCRIPTION "Build the examples"
    DEFAULT ON
)

ecbuild_add_option( FEATURE JPG
    DESCRIPTION "support for JPG decoding/encoding"
    DEFAULT ON
)

ecbuild_add_option( FEATURE PNG
    DESCRIPTION "support for PNG decoding/encoding"
    DEFAULT OFF
    REQUIRED_PACKAGES PNG
)

if( HAVE_PNG )
    set( HAVE_LIBPNG 1 ) # compatibility with autotools
    add_definitions( ${PNG_DEFINITIONS} )
else()
    set( HAVE_LIBPNG 0 )
endif()

ecbuild_add_option( FEATURE NETCDF
    DESCRIPTION "support for GRIB to NetCDF conversion"
    DEFAULT ON
    REQUIRED_PACKAGES NetCDF
)

ecbuild_add_option( FEATURE AEC
    DESCRIPTION "support for Adaptive Entropy Coding"
    DEFAULT OFF
    REQUIRED_PACKAGES AEC
)

ecbuild_add_option( FEATURE PYTHON
    DESCRIPTION "build the GRIB_API Python interface"
    DEFAULT ON
    REQUIRED_PACKAGES "Python VERSION 2.5"
)

ecbuild_add_option( FEATURE FORTRAN
    DESCRIPTION "build the GRIB_API Fortran interface"
    DEFAULT ON
    # REQUIRED_LANGUAGES Fortran # TODO
)

# TODO Remove this after REQUIRED_LANGUAGES
if( ENABLE_FORTRAN )
    # will set EC_HAVE_FORTRAN with the result
    ecbuild_enable_fortran( MODULE_DIRECTORY ${PROJECT_BINARY_DIR}/fortran/modules )
    set( HAVE_FORTRAN ${EC_HAVE_FORTRAN} )
else()
    set( HAVE_FORTRAN 0 )
endif()

# advanced options (not visible in cmake-gui )

ecbuild_add_option( FEATURE MEMORY_MANAGEMENT DESCRIPTION "enable memory management" DEFAULT OFF ADVANCED )
ecbuild_add_option( FEATURE ALIGN_MEMORY      DESCRIPTION "enable memory alignment"  DEFAULT OFF ADVANCED )
ecbuild_add_option( FEATURE GRIB_TIMER       DESCRIPTION "enable timer"         DEFAULT OFF ADVANCED )
ecbuild_add_option( FEATURE GRIB_THREADS     DESCRIPTION "enable POSIX threads" DEFAULT OFF ADVANCED )
ecbuild_add_option( FEATURE GRIB_OMP_THREADS DESCRIPTION "enable OMP threads"   DEFAULT OFF ADVANCED )

###############################################################################
# macro processing

set( GRIB_API_EXTRA_LIBRARIES    "" )
set( GRIB_API_EXTRA_INCLUDE_DIRS "" )
set( GRIB_API_EXTRA_DEFINITIONS  "" )

find_package( CMath )
list( APPEND GRIB_API_TPLS CMath )

### JPG support

set( HAVE_JPEG 0 )
set( HAVE_LIBJASPER 0 )
set( HAVE_LIBOPENJPEG 0 )

if( ENABLE_JPG )

    # Note: This is a deprecated feature but we need it to find Jasper at ECMWF.
    #       ecbuild_add_extra_search_paths modifies CMAKE_PREFIX_PATH
    #       which can affect future package discovery if not undone by the caller.
    #       The current CMAKE_PREFIX_PATH is backed up as _CMAKE_PREFIX_PATH
    #
    set(CMAKE_WARN_DEPRECATED OFF) # Suppress deprecation message
    ecbuild_add_extra_search_paths( jasper )
    find_package( Jasper )
    set(CMAKE_PREFIX_PATH ${_CMAKE_PREFIX_PATH})    # Restore CMAKE_PREFIX_PATH
    set(CMAKE_WARN_DEPRECATED ON)  # Remove suppression

    find_package( OpenJPEG )

    if( JASPER_FOUND )
        list( APPEND GRIB_API_TPLS Jasper )
        set( HAVE_JPEG 1 )
        set( HAVE_LIBJASPER 1 )
    endif()

    if( OPENJPEG_FOUND )
        list( APPEND GRIB_API_TPLS OpenJPEG )
        set( HAVE_JPEG 1 )
        set( HAVE_LIBOPENJPEG 1 )
    endif()

endif()


###############################################################################
# other options

if( GRIB_TIMER )
    set( GRIB_TIMER 1 )
else()
    set( GRIB_TIMER 0 )
endif()

set( IS_BIG_ENDIAN 0 )
if( EC_BIG_ENDIAN )
    set( IS_BIG_ENDIAN 1 )
endif()

set( MANAGE_MEM 0 )
if( ENABLE_MEMORY_MANAGEMENT )
    set( MANAGE_MEM 1 )
endif()

set( CMAKE_THREAD_PREFER_PTHREAD 1 ) # find thread library, but prefer pthreads
find_package(Threads REQUIRED)

# debug
ecbuild_info(" CMAKE_THREAD_LIBS_INIT=${CMAKE_THREAD_LIBS_INIT}")
ecbuild_info(" CMAKE_USE_PTHREADS_INIT=${CMAKE_USE_PTHREADS_INIT}")
ecbuild_info(" GRIB_THREADS=${GRIB_THREADS}, HAVE_GRIB_THREADS=${HAVE_GRIB_THREADS}")


set( GRIB_PTHREADS 0 )
set( GRIB_OMP_THREADS 0 )
set( GRIB_LINUX_PTHREADS 0 )
#if( HAVE_GRIB_THREADS AND CMAKE_THREAD_LIBS_INIT )
if( HAVE_GRIB_THREADS )
    if( NOT ${CMAKE_USE_PTHREADS_INIT} )
        ecbuild_critical("Only pthreads supported - thread library found is [${CMAKE_THREAD_LIBS_INIT}]" )
    endif()
    set( GRIB_PTHREADS 1 )
    if( ${CMAKE_SYSTEM_NAME} MATCHES "Linux" )
        set( GRIB_LINUX_PTHREADS 1 )
    endif()
elseif(HAVE_GRIB_OMP_THREADS)
    ecbuild_enable_omp()
    set( GRIB_OMP_THREADS 1 )
endif()

# Cannot have both options
if( HAVE_GRIB_THREADS AND HAVE_GRIB_OMP_THREADS )
    ecbuild_critical( "Cannot enable both POSIX threads and OMP! Please specify just one option" )
endif()

ecbuild_info(" GRIB_PTHREADS=${GRIB_PTHREADS}")
ecbuild_info(" GRIB_OMP_THREADS=${GRIB_OMP_THREADS}")

set( GRIB_MEM_ALIGN 0 )
if( ENABLE_ALIGN_MEMORY )
  set( GRIB_MEM_ALIGN 1 )
endif()

# fix for #if IEEE_LE or IEE_BE instead of #ifdef

if( IEEE_BE )
    set( IEEE_LE 0 )
endif()

if( IEEE_LE )
    set( IEEE_BE 0 )
endif()

###############################################################################
# contents

if( NOT ${DEVELOPER_MODE} )
    set( the_default_data_prefix ${CMAKE_INSTALL_PREFIX} )
else()
    set( the_default_data_prefix ${CMAKE_BINARY_DIR} )
endif()

if( NOT DEFINED GRIB_API_DEFINITION_SUFF )
  set( GRIB_API_DEFINITION_SUFF  share/grib_api/definitions )
endif()
if( NOT DEFINED GRIB_API_SAMPLES_SUFF )
  set( GRIB_API_SAMPLES_SUFF     share/grib_api/samples )
endif()
if( NOT DEFINED GRIB_API_IFS_SAMPLES_SUFF )
  set( GRIB_API_IFS_SAMPLES_SUFF share/grib_api/ifs_samples )
endif()

set( GRIB_API_DEFINITION_PATH  ${the_default_data_prefix}/${GRIB_API_DEFINITION_SUFF} )
set( GRIB_API_SAMPLES_PATH     ${the_default_data_prefix}/${GRIB_API_SAMPLES_SUFF} )
set( GRIB_API_IFS_SAMPLES_PATH ${the_default_data_prefix}/${GRIB_API_IFS_SAMPLES_SUFF} )

### config header

ecbuild_generate_config_headers()

configure_file( grib_api_config.h.in grib_api_config.h )

add_definitions( -DHAVE_GRIB_API_CONFIG_H )

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/grib_api_config.h DESTINATION ${INSTALL_INCLUDE_DIR} )

if( CMAKE_COMPILER_IS_GNUCC )
    ecbuild_add_c_flags("-pedantic")
endif()

############################################################################################
# contents

### export package to other ecbuild packages

set( GRIB_API_INCLUDE_DIRS    ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/src ${CMAKE_CURRENT_BINARY_DIR}/src )
set( GRIB_API_LIBRARIES       grib_api )

get_directory_property( COMPILE_DEFINITIONS GRIB_API_DEFINITIONS )

foreach( _tpl ${GRIB_API_TPLS} )
    string( TOUPPER ${_tpl} TPL )
    if( ${TPL}_FOUND )
        list( APPEND GRIB_API_EXTRA_DEFINITIONS   ${${TPL}_DEFINITIONS} )
        list( APPEND GRIB_API_EXTRA_INCLUDE_DIRS  ${${TPL}_INCLUDE_DIRS} ${${TPL}_INCLUDE_DIR} )
        list( APPEND GRIB_API_EXTRA_LIBRARIES     ${${TPL}_LIBRARIES} )
    endif()
endforeach()

### include directories

include_directories( ${GRIB_API_INCLUDE_DIRS}  ${GRIB_API_EXTRA_INCLUDE_DIRS} )

add_subdirectory( src )
add_subdirectory( tools )
add_subdirectory( fortran )
add_subdirectory( python )
add_subdirectory( definitions )
add_subdirectory( tests )
add_subdirectory( tigge )
add_subdirectory( examples )
add_subdirectory( data )
add_subdirectory( samples )
add_subdirectory( ifs_samples ) # must come after samples

# ecbuild_dont_pack( DIRS samples DONT_PACK_REGEX "*.grib" )
ecbuild_dont_pack( DIRS
     concepts tests.ecmwf doxygen examples.dev templates sms parameters java
     gaussian_experimental gribex examples/F77
     examples/extra bamboo definitions/bufr use fortran/fortranCtypes tigge/tools share/grib_api
     src/.deps tests/.deps tools/.deps tigge/.deps examples/C/.deps examples/python/.deps
     python/.deps fortran/.deps
)

add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

############################################################################################
# export to other projects

# temporary -- add support for ecbuild 1.0.x sub-project inclusion
# to remove once mars server & client use eckit & ecbuild >= 1.1

if( EC_HAVE_FORTRAN )
    list( APPEND GRIB_API_INCLUDE_DIRS  ${CMAKE_Fortran_MODULE_DIRECTORY} )
    list( APPEND GRIB_API_LIBRARIES grib_api_f77 grib_api_f90 )
endif()

# Bundle
if( NOT PROJECT_NAME STREQUAL CMAKE_PROJECT_NAME )
  set( GRIB_API_FOUND            TRUE PARENT_SCOPE )
  set( GRIB_API_DEFINITIONS      ${GRIB_API_DEFINITIONS}  PARENT_SCOPE ) # includes already TPL definitions
  set( GRIB_API_INCLUDE_DIRS     ${GRIB_API_INCLUDE_DIRS} ${GRIB_API_EXTRA_INCLUDE_DIRS} PARENT_SCOPE )
  set( GRIB_API_LIBRARIES        ${GRIB_API_LIBRARIES}    ${GRIB_API_EXTRA_LIBRARIES} ${CMATH_LIBRARIES} PARENT_SCOPE )
  set( GRIB_API_INSTALL_EXTRA_TOOLS ${GRIB_API_INSTALL_EXTRA_TOOLS} PARENT_SCOPE )
  set( GRIB_API_DEFINITION_PATH  ${CMAKE_BINARY_DIR}/${GRIB_API_DEFINITION_SUFF}  PARENT_SCOPE )
  set( GRIB_API_SAMPLES_PATH     ${CMAKE_BINARY_DIR}/${GRIB_API_SAMPLES_SUFF}     PARENT_SCOPE )
  set( GRIB_API_IFS_SAMPLES_PATH ${CMAKE_BINARY_DIR}/${GRIB_API_IFS_SAMPLES_SUFF} PARENT_SCOPE )
endif()

# pkg-config
ecbuild_pkgconfig(
  NAME                grib_api
  URL                 "https://software.ecmwf.int/wiki/display/GRIB/"
  DESCRIPTION         "The GRIB API library"
  LIBRARIES           grib_api
  VARIABLES           HAVE_JPG HAVE_LIBJASPER HAVE_LIBOPENJPEG
                      HAVE_GRIB_THREADS HAVE_GRIB_OMP_THREADS
                      HAVE_NETCDF HAVE_PYTHON HAVE_FORTRAN HAVE_PNG HAVE_AEC
)
if( EC_HAVE_FORTRAN )
 ecbuild_pkgconfig(
   NAME                grib_api_f90
   URL                 "https://software.ecmwf.int/wiki/display/GRIB/"
   LIBRARIES           grib_api_f90 grib_api
   DESCRIPTION         "The GRIB API library for Fortran 90"
   IGNORE_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/fortran ${PROJECT_BINARY_DIR}/fortran
   VARIABLES           HAVE_JPG HAVE_LIBJASPER HAVE_LIBOPENJPEG
                       HAVE_GRIB_THREADS HAVE_GRIB_OMP_THREADS
                       HAVE_NETCDF HAVE_PYTHON HAVE_PNG HAVE_AEC
 )
  ecbuild_pkgconfig(
   NAME                grib_api_f77
   URL                 "https://software.ecmwf.int/wiki/display/GRIB/"
   LIBRARIES           grib_api_f77 grib_api
   DESCRIPTION         "The GRIB API library for Fortran 77"
   IGNORE_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/fortran ${PROJECT_BINARY_DIR}/fortran
   VARIABLES           HAVE_JPG HAVE_LIBJASPER HAVE_LIBOPENJPEG
                       HAVE_GRIB_THREADS HAVE_GRIB_OMP_THREADS
                       HAVE_NETCDF HAVE_PYTHON HAVE_PNG HAVE_AEC
 )
endif()

############################################################################################
# finalize

ecbuild_install_project( NAME ${CMAKE_PROJECT_NAME} )

ecbuild_print_summary()

ecbuild_info("")
ecbuild_info("   +---------------------------+")
ecbuild_info("   |  GRIB API version ${GRIB_API_VERSION}  |")
ecbuild_info("   +---------------------------+")
ecbuild_info("")
ecbuild_info("   +------------------+ ")
ecbuild_info("   | IMPORTANT NOTICE | ")
ecbuild_info("   +---------------------------------------------------------------------------------------------+ ")

=== debian/changelog ===
grib-api (1.26.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.4
  * python-gribapi: depends on python-six. Closes: #896277
  * python3-gribapi: depends on python3-six. Closes: #896338

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 21 Apr 2018 09:55:10 +0100

grib-api (1.26.0-1) unstable; urgency=medium

  * New upstream release
  * Point VCS to salsa.debian.org

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Mar 2018 16:21:02 +0000

=== debian/control ===
Source: grib-api
Section: libdevel
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Uploaders: Enrico Zini <enrico@debian.org>
Build-Depends: debhelper (>= 10), 
  dh-buildinfo, 
  cmake,
  libjpeg-dev, 
  libpng-dev, 
  gfortran, 
  flex, 
  bison, 
  quilt,
  libnetcdf-dev, 
  libboost-dev, 
  libhdf5-dev, 
  libopenjp2-7-dev,
  swig, 
  python3-all-dev,  
  python3-numpy, 
  python3-six,
  python-all-dev, 
  python-numpy, 
  python-six,
  dh-python, 
  chrpath, 
  python-setuptools, 
  python3-setuptools,
  libaec-dev
Standards-Version: 4.1.4
Build-Conflicts: libgrib-api-dev, 
 libjasper-dev, 
 libopenjpeg-dev, 
 libeccodes-dev
X-Python-Version: >= 2.6
Homepage: https://software.ecmwf.int/wiki/display/GRIB/Home
Vcs-Browser: https://salsa.debian.org:/science-team/grib-api.git
Vcs-Git: https://salsa.debian.org:/science-team/grib-api.git

Package: libgrib-api0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libgrib-api-data (<< 1.9.0~)
Breaks: libgrib-api-data (<< 1.9.0~)
Conflicts: libgrib-api-0d-0, libgrib-api-0d-1, libgrib-api-1.9.9, libgrib-api-1.9.16, libgrib-api-1.10.4
Description: GRIB decoding/encoding software library
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: libgrib-api-dev
Section: libdevel
Architecture: any
Depends: libgrib-api0 (= ${binary:Version}), ${misc:Depends}, 
 libaec-dev, libpng-dev, libjpeg-dev, zlib1g-dev
Conflicts: libeccodes-dev
Description: GRIB decoding/encoding software library (development)
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.
 
Package: libgrib-api-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeccodes-data
Recommends: python3-gribapi, python-gribapi
Conflicts: libeccodes-dev
Description: GRIB decoding/encoding software (utilities)
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 This is a useful set of command line tools to give quick access to grib
 messages.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: libgrib-api-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GRIB decoding/encoding software (documentation)
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 This provides the documentation for the library.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: python-gribapi
Section: python
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-six
Provides: ${python:Provides}
Description: Python module for the ECMWF GRIB API library
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 This is a Python wrapper for the GRIB API library.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: python3-gribapi
Section: python
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-six
Provides: ${python3:Provides}
Conflicts: python3-eccodes
Description: Python3 module for the ECMWF GRIB API library
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 This is a Python3 wrapper for the GRIB API library.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

## grib-api 1.27.0

=== debian/changelog ===
grib-api (1.27.0-1build2) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Nov 2018 12:07:15 +0000

grib-api (1.27.0-1build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 12:35:48 +0000

grib-api (1.27.0-1) unstable; urgency=medium

  * New upstream release
  * Delete obsolete X-python-version statement

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Jun 2018 13:15:04 +0100

grib-api (1.26.1-3) unstable; urgency=medium

  * Fix FTBFS with dpkg-buildpackage -A. Closes: #901107

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Jun 2018 11:08:52 +0100

grib-api (1.26.1-2) unstable; urgency=medium

  * Force use of gfortran-8 for transition (needed to build mod files)
  * Use dh-fortran-mod to track fortran version

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 06 May 2018 11:01:41 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders: Enrico Zini <enrico@debian.org>
 Build-Depends: debhelper (>= 10), 
   dh-buildinfo, 
+  dh-fortran-mod,
+  gfortran-8, 
   cmake,
   libjpeg-dev, 
   libpng-dev, 
-  gfortran, 
   flex, 
   bison, 
   quilt,
@@ -33,7 +34,6 @@
  libjasper-dev, 
  libopenjpeg-dev, 
  libeccodes-dev
-X-Python-Version: >= 2.6
 Homepage: https://software.ecmwf.int/wiki/display/GRIB/Home
 Vcs-Browser: https://salsa.debian.org:/science-team/grib-api.git
 Vcs-Git: https://salsa.debian.org:/science-team/grib-api.git

## grib-api 1.28.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,37 @@
 # local project
 
 ecbuild_declare_project()
+
+###############################################################################
+# system checks needed for grib_api_config.h
+
+check_type_size( int            GRIB_API_SIZEOF_INT    )
+check_type_size( long           GRIB_API_SIZEOF_LONG   )
+check_type_size( size_t         GRIB_API_SIZEOF_SIZE_T )
+
+check_include_files( assert.h         GRIB_API_HAVE_ASSERT_H      )
+check_include_files( string.h         GRIB_API_HAVE_STRING_H      )
+check_include_files( sys/types.h      GRIB_API_HAVE_SYS_TYPES_H   )
+check_include_files( sys/stat.h       GRIB_API_HAVE_SYS_STAT_H    )
+check_include_files( fcntl.h          GRIB_API_HAVE_FCNTL_H      )
+check_include_files( unistd.h         GRIB_API_HAVE_UNISTD_H      )
+
+check_symbol_exists( fseeko           "stdio.h"    GRIB_API_HAVE_FSEEKO )
+check_symbol_exists( posix_memalign   "stdlib.h"   GRIB_API_HAVE_POSIX_MEMALIGN )
+check_symbol_exists( fmemopen         "stdio.h"    GRIB_API_HAVE_FMEMOPEN )
+check_symbol_exists( funopen          "stdio.h"    GRIB_API_HAVE_FUNOPEN )
+
+check_c_source_compiles(
+      " typedef int foo_t;
+      static inline foo_t static_foo(){return 0;}
+      foo_t foo(){return 0;}
+      int main(int argc, char *argv[]){return 0;}
+      " GRIB_API_HAVE_C_INLINE )
+
+include(grib_api_test_endiness)
+
+ecbuild_debug("GRIB_API_BIG_ENDIAN=${GRIB_API_BIG_ENDIAN}")
+ecbuild_debug("GRIB_API_LITTLE_ENDIAN=${GRIB_API_LITTLE_ENDIAN}")
 
 ###############################################################################
 # some variables/options of this project
@@ -144,7 +175,7 @@
 endif()
 
 set( IS_BIG_ENDIAN 0 )
-if( EC_BIG_ENDIAN )
+if( GRIB_API_BIG_ENDIAN )
     set( IS_BIG_ENDIAN 1 )
 endif()
 
@@ -324,35 +355,3 @@
    URL                 "https://software.ecmwf.int/wiki/display/GRIB/"
    LIBRARIES           grib_api_f90 grib_api
    DESCRIPTION         "The GRIB API library for Fortran 90"
-   IGNORE_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/fortran ${PROJECT_BINARY_DIR}/fortran
-   VARIABLES           HAVE_JPG HAVE_LIBJASPER HAVE_LIBOPENJPEG
-                       HAVE_GRIB_THREADS HAVE_GRIB_OMP_THREADS
-                       HAVE_NETCDF HAVE_PYTHON HAVE_PNG HAVE_AEC
- )
-  ecbuild_pkgconfig(
-   NAME                grib_api_f77
-   URL                 "https://software.ecmwf.int/wiki/display/GRIB/"
-   LIBRARIES           grib_api_f77 grib_api
-   DESCRIPTION         "The GRIB API library for Fortran 77"
-   IGNORE_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/fortran ${PROJECT_BINARY_DIR}/fortran
-   VARIABLES           HAVE_JPG HAVE_LIBJASPER HAVE_LIBOPENJPEG
-                       HAVE_GRIB_THREADS HAVE_GRIB_OMP_THREADS
-                       HAVE_NETCDF HAVE_PYTHON HAVE_PNG HAVE_AEC
- )
-endif()
-
-############################################################################################
-# finalize
-
-ecbuild_install_project( NAME ${CMAKE_PROJECT_NAME} )
-
-ecbuild_print_summary()
-
-ecbuild_info("")
-ecbuild_info("   +---------------------------+")
-ecbuild_info("   |  GRIB API version ${GRIB_API_VERSION}  |")
-ecbuild_info("   +---------------------------+")
-ecbuild_info("")
-ecbuild_info("   +------------------+ ")
-ecbuild_info("   | IMPORTANT NOTICE | ")
-ecbuild_info("   +---------------------------------------------------------------------------------------------+ ")

=== fortran/CMakeLists.txt ===
if( HAVE_FORTRAN )
    
    set( srcdir ${CMAKE_CURRENT_SOURCE_DIR} )
    set( bindir ${CMAKE_CURRENT_BINARY_DIR} )

    include_directories( ${srcdir} ${bindir} )

    ecbuild_add_executable( TARGET  grib_types
                            NOINSTALL
                            SOURCES grib_types.f90 grib_fortran_kinds.c )

    add_custom_command( OUTPUT  grib_kinds.h
                        COMMAND grib_types > grib_kinds.h
                        DEPENDS grib_types )

    if( ${GRIB_API_SIZEOF_INT} EQUAL ${GRIB_API_SIZEOF_LONG} )
        set( _long_int_interface grib_f90_int.f90 )
    else()
        set( _long_int_interface grib_f90_long_int.f90 )
    endif()

    if( ${GRIB_API_SIZEOF_INT} EQUAL ${GRIB_API_SIZEOF_SIZE_T} )
        set( _sizet_int_interface grib_f90_int_size_t.f90 )
    else()
        set( _sizet_int_interface grib_f90_long_size_t.f90 )
    endif()

    add_custom_command( OUTPUT  grib_f90.f90
                        COMMAND cat ${srcdir}/grib_f90_head.f90 ${srcdir}/${_long_int_interface} ${srcdir}/${_sizet_int_interface} ${srcdir}/grib_f90_tail.f90 > grib_f90.f90
                        DEPENDS grib_f90_head.f90 grib_f90_tail.f90 grib_kinds.h ${_long_int_interface} ${_sizet_int_interface} )

    ecbuild_add_library( TARGET     grib_api_f77
                         SOURCES    grib_fortran.c grib_f77.c
                         LIBS       grib_api )

    ecbuild_add_library( TARGET     grib_api_f90
                         SOURCES    grib_fortran.c grib_f90.f90 grib_kinds.h
                         GENERATED  grib_f90.f90
                         LIBS       grib_api )

    ecbuild_add_resources( TARGET fortran_resources
                           PACK 
                            grib_fortran_prototypes.h grib_api_constants.h grib_api_externals.h
                            grib_api_visibility.h grib_types.f90 create_grib_f90.sh
                            grib_f90.f90.head grib_f90.f90.tail grib_f90_int.f90 grib_f90_long_int.f90
                            grib_f90_int_size_t.f90 grib_f90_long_size_t.f90
                            same_int_long.f90 same_int_size_t.f90 grib_fortran_kinds.c )

    install( FILES grib_api_f77.h DESTINATION ${INSTALL_INCLUDE_DIR} )

    # Install the generated .mod file
    # install( CODE "EXECUTE_PROCESS (COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_Fortran_MODULE_DIRECTORY}/${CMAKE_CFG_INTDIR} ${CMAKE_INSTALL_PREFIX}/${INSTALL_INCLUDE_DIR})" )
    install( DIRECTORY ${CMAKE_Fortran_MODULE_DIRECTORY}/${CMAKE_CFG_INTDIR} DESTINATION ${INSTALL_INCLUDE_DIR} )

#    install( CODE
#"
#if( EXISTS ${CMAKE_Fortran_MODULE_DIRECTORY}/${CMAKE_CFG_INTDIR}/GRIB_API.mod )
#  execute_process( COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_Fortran_MODULE_DIRECTORY}/${CMAKE_CFG_INTDIR}/GRIB_API.mod ${CMAKE_INSTALL_PREFIX}/${INSTALL_INCLUDE_DIR}/grib_api.mod )
#endif()
#
#if( EXISTS ${CMAKE_Fortran_MODULE_DIRECTORY}/${CMAKE_CFG_INTDIR}/grib_api.mod )
# execute_process( COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_Fortran_MODULE_DIRECTORY}/${CMAKE_CFG_INTDIR}/grib_api.mod ${CMAKE_INSTALL_PREFIX}/${INSTALL_INCLUDE_DIR}/GRIB_API.mod )
#endif()
#" )

endif()

=== rpms/CMakeLists.txt ===
#configure_file( grib_api.cmake.pc.in     grib_api-deprecated.pc     @ONLY )
#configure_file( grib_api_f90.cmake.pc.in grib_api_f90-deprecated.pc @ONLY )

#install(FILES ${CMAKE_CURRENT_BINARY_DIR}/grib_api-deprecated.pc
#              ${CMAKE_CURRENT_BINARY_DIR}/grib_api_f90-deprecated.pc
#        DESTINATION ${INSTALL_LIB_DIR}/pkgconfig)
#

=== tests/CMakeLists.txt ===
# tests/CMakeLists.txt
#
# Configure the file which all CMake tests will include
configure_file( include.ctest.sh.in  include.ctest.sh @ONLY )

execute_process( COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_SOURCE_DIR}/include.sh ${CMAKE_CURRENT_BINARY_DIR} )
execute_process( COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_SOURCE_DIR}/utils.sh   ${CMAKE_CURRENT_BINARY_DIR} )

# Build the executables used by test scripts
################################################
list( APPEND test_bins
      read_any
      julian
      index
      multi_from_message
      read_index
      unit_tests
      gauss_sub
      grib_util_set_spec
)

foreach( tool ${test_bins} )
    # here we use the fact that each tool has only one C file that matches its name
    ecbuild_add_executable( TARGET    ${tool}
                            NOINSTALL
                            SOURCES   ${tool}.c
                            LIBS      grib_api
    )
endforeach()

# Now add each test (shell scripts)
#################################################
list( APPEND tests1
    definitions
    calendar
    unit_tests
    md5
    uerra
)
list( APPEND tests2
    ieee
    grib1to2
    grib2to1
    badgrib
    ls
    filter
    multi
    budg
    gridType
	octahedral
    global
    concept
    decimalPrecision
    bitsPerValue
    get_fail
    missing
    local
    step
    set
    iterator
    compare
    level
    index
    bitmap
    list
    second_order
    multi_from_message
    change_scanning
    julian
    statistics
    tigge
    tigge_conversions
    read_any
    padding
    debug
    grib_util_set_spec
    neg_fctime
)

# These tests do not require any data downloads
foreach( test ${tests1} )
    ecbuild_add_test( TARGET grib_api_t_${test}
                  TYPE SCRIPT
                  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/${test}.sh
    )
endforeach()
ecbuild_add_test( TARGET grib_api_t_check_gaussian_grids
                  TYPE SCRIPT
                  CONDITION  GRIB_API_INSTALL_EXTRA_TOOLS
                  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/check_gaussian_grids.sh
)


# Note: making the test dependent on the grib files (with DEPENDS)
#       means they will be downloaded at "make" time
#       rather than when you do "make test". Use TEST_DEPENDS instead
foreach( test ${tests2} )
    ecbuild_add_test( TARGET grib_api_t_${test}
                  TYPE SCRIPT
                  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/${test}.sh
                  TEST_DEPENDS grib_api_download_gribs grib_api_download_tigge_gribs
    )
endforeach()

###########################################
# Note: the reference file is in the tests dir not data dir!
ecbuild_add_test( TARGET grib_api_t_lamb_az_eq_area
                  TYPE SCRIPT
                  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/lamb_az_eq_area.sh
                  RESOURCES lamb_az_eq_area.ref
                  TEST_DEPENDS grib_api_download_gribs
)

# These ones are conditional
ecbuild_add_test( TARGET grib_api_t_grib_to_netcdf
                  TYPE SCRIPT
                  CONDITION HAVE_NETCDF
                  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/grib_to_netcdf.sh
                  TEST_DEPENDS grib_api_download_gribs
)

ecbuild_add_test( TARGET grib_api_t_jpeg
                  TYPE SCRIPT
                  CONDITION HAVE_JPEG
                  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/jpeg.sh
                  TEST_DEPENDS grib_api_download_gribs
)

ecbuild_add_test( TARGET grib_api_t_ccsds
                  TYPE SCRIPT
                  CONDITION HAVE_AEC
                  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/ccsds.sh
                  TEST_DEPENDS grib_api_download_gribs
)

=== tigge/CMakeLists.txt ===
# tigge
ecbuild_add_executable(TARGET   tigge_check
                       SOURCES  tigge_check.c
                       INCLUDES ${GRIB_API_EXTRA_INCLUDE_DIRS}
                       LIBS     grib_api
                       )


ecbuild_add_executable(TARGET   tigge_name 
                       SOURCES  tigge_name.c
                       INCLUDES ${GRIB_API_EXTRA_INCLUDE_DIRS}
                       LIBS     grib_api
                       )

ecbuild_add_executable(TARGET   tigge_accumulations
                       SOURCES  tigge_accumulations.c
                       INCLUDES ${GRIB_API_EXTRA_INCLUDE_DIRS}
                       LIBS     grib_api
                       )

ecbuild_add_executable(TARGET   tigge_split
                       SOURCES  tigge_split.c
                       INCLUDES ${GRIB_API_EXTRA_INCLUDE_DIRS}
                       LIBS     grib_api
                       )

=== tools/CMakeLists.txt ===
# tools library
ecbuild_add_library( TARGET    grib_tools
                     TYPE      STATIC
                     NOINSTALL
                     SOURCES   grib_tools.c grib_options.c grib_tools.h
                     LIBS      grib_api )

# tools binaries
list( APPEND grib_tools_bins
             grib_keys grib_histogram grib_error grib_add big2gribex
             grib_debug grib_info grib_filter grib_ls grib_dump
             grib2ppm grib_set grib_get grib_get_data grib_copy grib_repair
             grib_packing grib_cmp grib_convert grib_distance grib_corruption_check
             grib_compare grib_parser grib_count grib_index_build 
             gg_sub_area_check grib_moments grib_to_json
             )

list( APPEND grib_tools_bins_EXTRA
             grib_check_gaussian_grid
             )

# Install generic tools
foreach( tool ${grib_tools_bins} )
    # here we use the fact that each tool has only one C file that matches its name
    ecbuild_add_executable( TARGET     ${tool}
                            SOURCES    ${tool}.c
                            LIBS       grib_tools )
endforeach()

# Install extra tools
# User must run cmake with -DGRIB_API_INSTALL_EXTRA_TOOLS=ON
foreach( tool ${grib_tools_bins_EXTRA} )
    ecbuild_add_executable( TARGET     ${tool}
                            SOURCES    ${tool}.c
                            CONDITION  GRIB_API_INSTALL_EXTRA_TOOLS
                            LIBS       grib_tools )
endforeach()

# grib to netcdf is optional
ecbuild_add_executable( TARGET     grib_to_netcdf
                        SOURCES    grib_to_netcdf.c
                        INCLUDES   ${NETCDF_INCLUDE_DIRS}
                        CONDITION  HAVE_NETCDF
                        LIBS       grib_tools ${NETCDF_LIBRARIES})


ecbuild_add_executable( TARGET     grib_list_keys
                        SOURCES    list_keys.c
                        LIBS       grib_tools  )


# grib1to2 script needs to be generated before installation
configure_file( grib1to2.in  grib1to2 )
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/grib1to2
         DESTINATION ${INSTALL_BIN_DIR}
         PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ
                     GROUP_EXECUTE GROUP_READ
                     WORLD_EXECUTE WORLD_READ )

=== ifs_samples/grib1_mlgrib2/CMakeLists.txt ===
set( _basedir grib1_mlgrib2 )
set( _destination_install ${CMAKE_INSTALL_PREFIX}/${GRIB_API_IFS_SAMPLES_SUFF}/${_basedir} )
set( _destination_build   ${CMAKE_BINARY_DIR}/${GRIB_API_IFS_SAMPLES_SUFF}/${_basedir} )

list( APPEND ifs_samples_${_basedir}
      ${CMAKE_CURRENT_SOURCE_DIR}/gg_ml.tmpl
      ${CMAKE_CURRENT_SOURCE_DIR}/gg_sfc.tmpl
      ${CMAKE_CURRENT_SOURCE_DIR}/sh_ml.tmpl
      ${CMAKE_CURRENT_SOURCE_DIR}/sh_sfc.tmpl
      ${GRIB_API_SAMPLES_FILES}
)

install_samples( ifs_samples_${_basedir} ${_destination_install} ${_destination_build} )

=== debian/changelog ===
grib-api (1.28.0-2) unstable; urgency=medium

  * Standards-Version: 4.3.0
  * Build with dh-fortran-mod (>= 0.11) to clean up on pkg removal.
    Closes: #918517

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Jan 2019 19:46:25 +0000

grib-api (1.28.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.2.1
  * Use dh-fortran-mod >=0.7, with ${Fortran-Mod} to track version
  * Use gfortran, not gfortran-8, now default
  * Drop hard-coded xz compression

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 20 Dec 2018 16:59:27 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Enrico Zini <enrico@debian.org>
 Build-Depends: debhelper (>= 10), 
   dh-buildinfo, 
-  dh-fortran-mod,
-  gfortran-8, 
+  dh-fortran-mod (>= 0.11),
+  gfortran, 
   cmake,
   libjpeg-dev, 
   libpng-dev, 
@@ -29,7 +29,7 @@
   python-setuptools, 
   python3-setuptools,
   libaec-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Build-Conflicts: libgrib-api-dev, 
  libjasper-dev, 
  libopenjpeg-dev, 
@@ -55,6 +55,7 @@
 Package: libgrib-api-dev
 Section: libdevel
 Architecture: any
+Fortran-Mod: ${Fortran-Mod}
 Depends: libgrib-api0 (= ${binary:Version}), ${misc:Depends}, 
  libaec-dev, libpng-dev, libjpeg-dev, zlib1g-dev
 Conflicts: libeccodes-dev

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_LDFLAGS_MAINT_PREPEND := -Wl,-z,defs -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
BUILDDIR=$(CURDIR)/debian/build
UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')

# For hardening
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS) #  -fPIC
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

PY3VERSM:=$(shell py3versions -s)

export LDFLAGS CFLAGS CXXFLAGS

# Force version for the transition
export FC:=gfortran-8

# Don't test on mips. will time out most of the time on low-powered archs
DO_TEST:=true
ARCH:=$(shell dpkg --print-architecture)
ifeq ($(ARCH), mips)
DO_TEST:=false
endif
ifeq ($(ARCH),hppa)
DO_TEST:=false
endif

BUILD_FLAGS =  \
	    -DCMAKE_BUILD_TYPE=Release \
	    -DDISABLE_OS_CHECK=ON \
	    -DENABLE_PNG=ON -DENABLE_PYTHON=ON \
	    -DENABLE_AEC=ON \
	    -DENABLE_RPATHS=OFF \
	    -DENABLE_RELATIVE_RPATHS=OFF \
	    -DHAVE_BIT_REPRODUCIBLE=ON \
	    -DCFLAGS="${CFLAGS} ${LDFLAGS}" \
	    -DENABLE_ALIGN_MEMORY=ON -DENABLE_GRIB_TIMER=ON \
	    -DENABLE_GRIB_OMP_THREADS=ON

%:
	dh $@ --buildsystem=cmake --with=python2,python3,fortran_mod --no-parallel

override_dh_auto_configure:
	set -e && for i in $(PY3VERSM); do \
	F77=$(FC) dh_auto_configure --builddirectory=debian/build-$$i  -- \
		-DPYTHON_EXECUTABLE=/usr/bin/$$i \
		${BUILD_FLAGS} ; \
		( cd debian/build-$$i/data ; tar axpf $(CURDIR)/../grib-api_$(UPSTREAM_VERSION).orig-data.tar.xz ) ; \
		done
	F77=$(FC) dh_auto_configure --builddirectory=debian/build-py2  -- \
		-DPYTHON_EXECUTABLE=/usr/bin/python2 \
		${BUILD_FLAGS}
	( cd debian/build-py2/data ; tar axpf $(CURDIR)/../grib-api_$(UPSTREAM_VERSION).orig-data.tar.xz )

override_dh_auto_build:
	dh_auto_build  --builddirectory=debian/build-py2
	set -e && for i	in $(PYVERS3M);	do \
		dh_auto_build  --builddirectory=debian/build-$$i  ; \
		done

override_dh_auto_install:
	dh_auto_install  --builddirectory=debian/build-py2
	set -e && for i	in $(PY3VERSM);	do \
		dh_auto_install  --builddirectory=debian/build-$$i ; \
		done

override_dh_auto_test:
	# We need python code properly installed in debian/tmp to separate python2, python3 extensions when testing
	(cd debian/build-py2 && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp AM_UPDATE_INFO_DIR=no)
	$(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build-py2/lib ; PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages \
		dh_auto_test --builddirectory=debian/build-py2  ) || true
	set -e && for i in $(PY3VERSM); do \
		(cd debian/build-$$i && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp AM_UPDATE_INFO_DIR=no) ; \
		$(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build-$$i/lib ;  \
			PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/$$i/site-packages \
				dh_auto_test --builddirectory=debian/build-$$i  ) || true ; \
		done

override_dh_install:
	for d in libgrib_api_f77.so  libgrib_api_f90.so	libgrib_api.so ; do \
		cp debian/tmp/usr/lib/$$d.0 debian/tmp/usr/lib/$$d.0.0.0 ; \
		chrpath -d debian/tmp/usr/lib/$$d.0.0.0 ; done
	chrpath -d ./debian/tmp/usr/lib/python*/site-packages/gribapi/_gribapi_swig.so
	for d in debian/tmp/usr/bin/* ; do \
		( chrpath -d $$d || echo "Ignoring chrpath error for non-ELF $d" ); \
		done
	dh_numpy
	dh_numpy3
	dh_install
	#
	# Setup cmake files for magics++, metview, etc.
	#
	mkdir -p debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api
	cp debian/tmp/usr/share/grib_api/cmake/* debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api
	cat debian/tmp/usr/share/grib_api//cmake/grib_api-targets-release.cmake | \
	sed -e 's% *IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE.*%  IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE ""%' \
		-e 's%$${_IMPORT_PREFIX}%/usr%g' \
                > debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api/grib_api-targets-release.cmake
	cat debian/tmp/usr/share/grib_api//cmake/grib_api-config.cmake | \
	sed -e 's%^set( grib_api_BASE_DIR.*%set ( grib_api_BASE_DIR /build/grib-api )%' | \
	sed -e 's%^set( GRIB_API_TPLS.*%set( GRIB_API_TPLS "")%' | \
	sed -e 's%^set( GRIB_API_TPL_LIBRARIES.*%set( GRIB_API_TPL_LIBRARIES "" )%' \
		> debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api/grib_api-config.cmake
	# For bit-reproducibility, sanitize the build paths
	for f in grib_api-import.cmake grib_api-config.cmake ; do \
		sed -e 's%${CURDIR}%/build/grib_api%g' < debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api/$$f \
		> debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api/x; \
		mv debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api/x  debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api/$$f ; \
		done
	# handle indep builds
	[ -e debian/libgrib-api-dev/usr/include/grib_api_ecbuild_config.h ] && ( \
		sed -e 's%${CURDIR}%/build/grib_api%g' < debian/libgrib-api-dev/usr/include/grib_api_ecbuild_config.h > x ; \
		mv x debian/libgrib-api-dev/usr/include/grib_api_ecbuild_config.h ) || true

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/build-*
	# Things that upstream leaves behind
	rm -f python/gribapi.pyc
	rm -f tests/bitmap.rules tests/out.grib1 tests/out.grib2 tests/out.gribidx \
	      tests/rules tests/simple_ieee_test.grib1.txt tests/statistics.filter \
	      tests/statistics.out tests/x.grib \
	      data/change_scanning_rotated_ll.filter examples/F90/index.idx

override_dh_installexamples:
	dh_installexamples -X.pyc

override_dh_fixperms-arch:
	dh_fixperms
	chmod 644 debian/libgrib-api-dev/usr/share/doc/libgrib-api-dev/examples/python/README
